FousDocs

API reference

List Tools

GET /v1/catalog/tools

GET/v1/catalog/tools

Authentication

Send your organization’s secret key as Authorization: Bearer $FOUS_API_KEY. See authentication.

Parameters

NameLocationRequiredTypeDescription
cursorqueryNointeger
operation_idqueryNointeger

Responses

200

Success

application/json

FieldTypeRequiredDescription
successvalueYes
dataobjectYes

Full schema:

json
{
  "type": "object",
  "properties": {
    "success": {
      "const": true
    },
    "data": {
      "type": "object",
      "properties": {
        "items": {
          "type": "array",
          "items": {
            "$ref": "#/components/schemas/Tool"
          }
        },
        "next_cursor": {
          "type": [
            "string",
            "null"
          ]
        }
      },
      "required": [
        "items",
        "next_cursor"
      ],
      "additionalProperties": false
    }
  },
  "required": [
    "success",
    "data"
  ],
  "additionalProperties": false
}

400

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

401

Standard error. Inspect error.code, details and request_id.

  • WWW-Authenticate: Bearer authentication challenge; invalid or expired keys use invalid_token.

application/json

See the Error schema and error handling guide.

402

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

403

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

404

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

408

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

409

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

413

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

422

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

429

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

500

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

502

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

503

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.

504

Standard error. Inspect error.code, details and request_id.

application/json

See the Error schema and error handling guide.